Page MenuHomePhabricator

whois tool: 500 - Internal Server Error
Closed, ResolvedPublic

Description

The whois tool is giving 500 - Internal Server Error.

Event Timeline

JJMC89 created this task.Mar 23 2019, 4:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2019, 4:55 AM
SQL added a subscriber: SQL.Mar 24 2019, 5:08 PM

I've had to restart the webservice on a couple of my tools recently - possibly needs done here too?

DoRD added a subscriber: DoRD.Mar 24 2019, 5:52 PM
JJMC89 closed this task as Resolved.Mar 24 2019, 9:41 PM
JJMC89 assigned this task to Legoktm.

Webservice restarted

whym added a comment.Mar 26 2019, 10:12 AM

For the record, the problem seems to have been resolved before I do anything. Ideally I'd like to know the reason in order to prevent similar issues in future, but I'm not really sure.

Looking at the latest error, I'm guessing that the authentication service (which is basically controlled by admins not tool authors like me) had a problem.

KeyError: 'getpwuid(): uid not found: 52204'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site.py", line 563, in <module>
    main()
  File "/usr/lib/python2.7/site.py", line 545, in main
    known_paths = addusersitepackages(known_paths)
  File "/usr/lib/python2.7/site.py", line 272, in addusersitepackages
    user_site = getusersitepackages()
  File "/usr/lib/python2.7/site.py", line 247, in getusersitepackages
    user_base = getuserbase() # this will also set USER_BASE
  File "/usr/lib/python2.7/site.py", line 237, in getuserbase
    USER_BASE = get_config_var('userbase')
  File "/usr/lib/python2.7/sysconfig.py", line 582, in get_config_var
    return get_config_vars().get(name)
  File "/usr/lib/python2.7/sysconfig.py", line 533, in get_config_vars
    _CONFIG_VARS['userbase'] = _getuserbase()
  File "/usr/lib/python2.7/sysconfig.py", line 210, in _getuserbase
    return env_base if env_base else joinuser("~", ".local")
  File "/usr/lib/python2.7/sysconfig.py", line 196, in joinuser
    return os.path.expanduser(os.path.join(*args))
  File "/usr/lib/python2.7/posixpath.py", line 269, in expanduser
    userhome = pwd.getpwuid(os.getuid()).pw_dir

I asked @Legoktm to restart the webservice. He thought it was related to the LDAP failure.

DoRD removed a subscriber: DoRD.Mar 27 2019, 1:45 AM

For the record, the problem seems to have been resolved before I do anything. Ideally I'd like to know the reason in order to prevent similar issues in future, but I'm not really sure.

Yeah, I saw the same traceback. I assumed it was T217280: LDAP server running out of memory frequently and disrupting Cloud VPS clients.